## AgsApplySynth

AgsApplySynth — apply synth to channel

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsApplySynth * | ags_apply_synth_new ()

## Properties

double | base-note | Read / Write
guint | count | Read / Write
guint | requested-frame-count | Read / Write
AgsChannel * | start-channel | Read / Write
AgsSynthGenerator * | synth-generator | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsApplySynth

## Includes

    #include <ags/audio/task/ags_apply_synth.h>

## Description

The AgsApplySynth task apply the specified synth to channel.

## Functions

### ags_apply_synth_new ()

    AgsApplySynth *
    ags_apply_synth_new (AgsSynthGenerator *synth_generator,
                         AgsChannel *start_channel,
                         gdouble base_note,
                         guint count);

Creates an AgsApplySynth.

#### Parameters

synth_generator | the AgsSynthGenerator |
start_channel | the start AgsChannel |
base_note | the base note |
count | the count of lines |

#### Returns

an new AgsApplySynth.

Since: 3.0.0

## Property Details

### The `“base-note”` property

      “base-note”                double

The base-note to ramp up from.

Owner: AgsApplySynth

Flags: Read / Write

Allowed values: [-78,78]

Default value: -48

Since: 3.0.0

### The `“count”` property

      “count”                    guint

The count of channels to apply.

Owner: AgsApplySynth

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“requested-frame-count”` property

      “requested-frame-count”    guint

The frame count of audio signal to apply.

Owner: AgsApplySynth

Flags: Read / Write

Default value: 0

Since: 3.3.0

### The `“start-channel”` property

      “start-channel”            AgsChannel *

The assigned AgsChannel

Owner: AgsApplySynth

Flags: Read / Write

Since: 3.0.0

### The `“synth-generator”` property

      “synth-generator”          AgsSynthGenerator *

The assigned AgsSynthGenerator

Owner: AgsApplySynth

Flags: Read / Write

Since: 3.0.0